part of 'settings_cubit.dart';

@immutable
class SettingsState extends Equatable {
  const SettingsState({
    this.apiUrl,
    this.securityToken,
  });

  final String? apiUrl;
  final String? securityToken;

  @override
  List<String?> get props => <String?>[
        apiUrl,
        securityToken,
      ];

  Map<String, String?> get values => <String, String?>{
        'apiUrl': apiUrl,
        'securityToken': securityToken,
      };
}
